com.genesyslab.wfm8.API.service.scheduleTrade850

## Class SchTradeProposalSnapshot

- java.lang.Object
- - com.genesyslab.wfm8.API.service.scheduleTrade850.SchTradeProposalSnapshot

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTradeProposalSnapshot
      extends java.lang.Object
      implements java.io.Serializable

  Trade Proposal Snapshot
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `proposalCount`
    `private static long` | `serialVersionUID`
    `protected java.lang.String` | `snapshotID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTradeProposalSnapshot()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getProposalCount()` Gets the value of the proposalCount property.
    `java.lang.String` | `getSnapshotID()` Gets the value of the snapshotID property.
    `int` | `hashCode()`
    `void` | `setProposalCount(int value)` Sets the value of the proposalCount property.
    `void` | `setSnapshotID(java.lang.String value)` Sets the value of the snapshotID property.
    `java.lang.String` | `toString()`
    `SchTradeProposalSnapshot` | `withProposalCount(int value)`
    `SchTradeProposalSnapshot` | `withSnapshotID(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### snapshotID

          protected java.lang.String snapshotID

    - #### proposalCount

          protected int proposalCount

  - ### Constructor Detail

    - #### SchTradeProposalSnapshot

          public SchTradeProposalSnapshot()

  - ### Method Detail

    - #### getSnapshotID

          public java.lang.String getSnapshotID()

      Gets the value of the snapshotID property.
      Returns:
        possible object is `String`

    - #### setSnapshotID

          public void setSnapshotID(java.lang.String value)

      Sets the value of the snapshotID property.
      Parameters:
        `value` - allowed object is `String`

    - #### getProposalCount

          public int getProposalCount()

      Gets the value of the proposalCount property.

    - #### setProposalCount

          public void setProposalCount(int value)

      Sets the value of the proposalCount property.

    - #### withSnapshotID

          public SchTradeProposalSnapshot withSnapshotID(java.lang.String value)

    - #### withProposalCount

          public SchTradeProposalSnapshot withProposalCount(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.